{
  "_from": "external-sorting@^1.2.1",
  "_id": "external-sorting@1.3.1",
  "_inBundle": false,
  "_integrity": "sha512-eqI/TxUu4U5RW90ml7bRyvk/0Qh/Lf3JecZQKeLmC0eVRzPQ2UG3ZR7k66EDO1UnTJat0D8bn129K+gnZYMJuw==",
  "_location": "/@jbrowse/cli/external-sorting",
  "_phantomChildren": {},
  "_requested": {
    "type": "range",
    "registry": true,
    "raw": "external-sorting@^1.2.1",
    "name": "external-sorting",
    "escapedName": "external-sorting",
    "rawSpec": "^1.2.1",
    "saveSpec": null,
    "fetchSpec": "^1.2.1"
  },
  "_requiredBy": [
    "/@jbrowse/cli/ixixx"
  ],
  "_resolved": "https://registry.npmjs.org/external-sorting/-/external-sorting-1.3.1.tgz",
  "_shasum": "caec567906bd8d936cc94165c7daf657cd4e3163",
  "_spec": "external-sorting@^1.2.1",
  "_where": "/opt/conda/conda-bld/jbrowse2_1663364056730/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/lib/node_modules/@jbrowse/cli/node_modules/ixixx",
  "author": {
    "name": "Ludwig DUBOS",
    "email": "ludwig.dubos@gmail.com"
  },
  "bugs": {
    "url": "https://github.com/ldubos/external-sorting/issues"
  },
  "bundleDependencies": false,
  "dependencies": {
    "fast-sort": "^2.0.1"
  },
  "deprecated": false,
  "description": "an external sorting algorithm implementation for NodeJS",
  "devDependencies": {
    "@types/jest": "^27.0.3",
    "@types/node": "^13.1.7",
    "@types/rimraf": "^2.0.3",
    "@typescript-eslint/eslint-plugin": "^5.7.0",
    "@typescript-eslint/parser": "^5.7.0",
    "eslint": "^8.4.1",
    "eslint-config-airbnb-base": "^14.0.0",
    "eslint-plugin-import": "^2.20.0",
    "jest": "^27.4.5",
    "jest-html-reporter": "^3.4.2",
    "prettier": "^1.19.1",
    "rimraf": "^3.0.0",
    "ts-jest": "^27.1.1",
    "typescript": "^3.7.4"
  },
  "homepage": "https://github.com/ldubos/external-sorting#readme",
  "keywords": [
    "sort",
    "external sorting",
    "sorting algorithm",
    "merge sort",
    "files",
    "swap",
    "typescript"
  ],
  "license": "MIT",
  "main": "dist/external-sorting.js",
  "name": "external-sorting",
  "repository": {
    "type": "git",
    "url": "git+ssh://git@github.com/ldubos/external-sorting.git"
  },
  "scripts": {
    "build": "rimraf ./dist && tsc",
    "prepack": "npm run build",
    "test": "jest --detectOpenHandles --forceExit --runInBand --coverage"
  },
  "version": "1.3.1"
}
